Bug 39304 - Installer unable to configure the system with the choosen keyboard layout
Summary: Installer unable to configure the system with the choosen keyboard layout
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-07 07:29 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 07:15:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-05-07 07:29:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
During installation, I choose Swiss German as keyboard layout. When the 
installation was complete and the installer rebooted the system, I stated 
that the keyboard layout was wrong. I had to manually modify the 
files /etc/sysconfig/keyboard and /etc/X11/XF86Config.

How reproducible:
Always

Steps to Reproduce:
1. Start the installer on a i386 machine
2. Choose Swiss German as keyboard layout (the keyboard test is OK)
3. Complete the installation
4. Try your Swiss German keyboard directly from the console
5. Try your Swiss German keyboard from the Window Manager
	

Additional info:

Comment 1 Brent Fox 2001-05-07 16:32:46 UTC
When I do a test install when selecting Swiss German keyboard, I get an
/etc/sysconfig/keyboard file that says:

KEYBOARDTYPE="pc"
KEYTABLE="us"


But /etc/X11/XF86Config says:

XkbRules
	"xfree86"
XkbModel
	"pc102"
XkbLayout
	"de_CH"

Is "de_CH" the correct setting for Swiss German keyboards?

Comment 2 Need Real Name 2001-05-08 08:31:49 UTC
Yes, de_CH is the correct setting for Swiss German Keyboards.

In order to make the keyboard responding correctly, I modified the file
/etc/sysconfig/keyboards as described here below:
KEYBOARDTYPE="pc102"
KEYTABLE="sg-latin1"

... and added the following entry into the file /etc/X11/XF86Config:
XKbKeycodes="xfree86(de_CH)"

Giuseppe Greco
The Fantastic Corporation R&D

Comment 3 Brent Fox 2001-05-09 18:11:27 UTC
Did you do a text or graphical install?

Comment 4 Need Real Name 2001-05-10 07:15:44 UTC
I did a graphical install.

Comment 5 Brent Fox 2001-08-16 18:50:10 UTC
Fixed in cvs.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.